/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.core;

import com.arrebol.taxiservicios.model.enums.PhoneType;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Picasso
 */
public class ContactNumber implements Serializable {

    private static final long serialVersionUID = -74507581966037747L;

    private String id;
    private String phone;
    private String lada;
    private PhoneType phoneType;
    private Boolean preferenced;
    private Person person;
    private User createdBy;
    private Date createdOn;
    private User lastUpdatedBy;
    private Date lastUpdatedOn;

    public ContactNumber() {
    }

    /**
     *
     * @param id
     * @param phoneType
     */
    public ContactNumber(String id, PhoneType phoneType) {
        this.id = id;
        this.phoneType = phoneType;
    }

    /**
     *
     * @param phoneType
     */
    public ContactNumber(PhoneType phoneType) {
        this.phoneType = phoneType;
    }

    /**
     * Used as criteria wrapper.
     *
     * @param id
     * @param phone
     * @param phoneType
     */
    public ContactNumber(String id, String phone, PhoneType phoneType) {
        this.id = id;
        this.phone = phone;
        this.phoneType = phoneType;
    }

    public ContactNumber(String id, String phone, String lada, PhoneType phoneType, Boolean preferenced, Person person, User createdBy, Date createdOn, User lastUpdatedBy, Date lastUpdatedOn) {
        this.id = id;
        this.phone = phone;
        this.lada = lada;
        this.phoneType = phoneType;
        this.preferenced = preferenced;
        this.person = person;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
        this.lastUpdatedBy = lastUpdatedBy;
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getLada() {
        return lada;
    }

    public void setLada(String lada) {
        this.lada = lada;
    }

    public PhoneType getPhoneType() {
        return phoneType;
    }

    public void setPhoneType(PhoneType phoneType) {
        this.phoneType
                = phoneType;
    }

    public Boolean getPreferenced() {
        return preferenced;
    }

    public void setPreferenced(Boolean preferenced) {
        this.preferenced = preferenced;
    }

    public Person getPerson() {
        return person;
    }

    public void setPerson(Person person) {
        this.person = person;
    }

    public User getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public User getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(User lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    @Override
    public String toString() {
        return "ContactNumber{" + "id=" + id + ", phone=" + phone + ", phoneType=" + phoneType + ", person=" + person + "}";
    }

}
